<script type="text/javascript">
$(document).ready(function() {
	$("#tabs").tabs({selected:0});
	$("#info_pj").hide();
	$("#tampil_detail").hide();
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tglawal").val(data.tanggal);
				$("#t_tglakhir").val(data.tanggal);
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
			}
		});
	}
	
	$("#cari_daftar").click(function(){
		var tgl_awal 	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglawal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglakhir").focus();
			return false;
		}				
		$("#tampil_daftar").show();
		$("#tampil_daftar").load('modul/jual_kd/tampil_daftar_pj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_daftar").click(function(){
		var tgl_awal 	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		
		window.location.href='modul/laporan/daftar_pjsj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;
	});
	
	$("#tutup_daftar").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_batal").click(function(){
		var tgl_awal 	= $("#t_tgl_awal").val();
		var tgl_akhir 	= $("#t_tgl_akhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}				
		$("#tampil_data").show();
		$("#tampil_data").load('spv/jual_kd/tampil_data_pj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#batal_pj").click(function(){
		var kode	= $("#t_kode").val();
		var pilih 	= confirm('Apakah Anda sungguh-sungguh ingin batalkan faktur penjualan '+kode+' ini ?');
		
		if (pilih==true) {
			var tgl_awal 	= $("#t_tgl_awal").val();
			var tgl_akhir 	= $("#t_tgl_akhir").val();
		
			$.ajax({
				type	: "POST",
				url	    : "spv/jual_kd/batal.php",
				data	: "kode="+kode,
				timeout: 2000,
				beforeSend	: function(){		
					$("#info").html("<img src='loading.gif' />");			
				},
				success	: function(data){
					$("#info").html(data);
					$("#info_pj").hide();
					$("#tampil_detail").hide();
					$("#pencarian").show();
					$("#tampil_data").show();
					$("#tampil_data").load('spv/jual_kd/tampil_data_pj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
				}
			});
		}
	});

	$("#tutup_detail").click(function(){
		$("#info_pj").hide();
		$("#tampil_detail").hide();
		$("#pencarian").show();
		$("#tampil_data").show();	
	});
	
	$("#tutup_batal").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul>
		   <li><a href='#daftar'>DAFTAR PENJUALAN</a></li>
		   <li><a href='#form_batal'>BATAL PENJUALAN</a></li>
      </ul>";
	  	
echo "<div id='daftar'>
		<div id='pencarian_daftar'>
			<table>
				<tr>
					<td>Penjualan tanggal : <input type='date' name='t_tglawal' id='t_tglawal' size='10'> sampai dengan <input type='date' name='t_tglakhir' id='t_tglakhir' size='10'></td>
					<td>
						<button name='cari_daftar' id='cari_daftar'>Cari</button>
						<button name='cetak_daftar' id='cetak_daftar'>Cetak</button>
						<button name='tutup_daftar' id='tutup_daftar'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>

		<div id='tampil_daftar' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
	
echo "<div id='form_batal'>
		<div id='pencarian'>
			<table>
				<tr>
					<td>Penjualan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button name='cari_batal' id='cari_batal'>Cari</button>
						<button name='tutup_batal' id='tutup_batal'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>
		
		<div id='tampil_data' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
		
		<div id='info_pj'>
			<table width='100%'>
				<tr>
					<input type='text' name='t_kodedv' id='t_kodedv' hidden/>
					<input type='text' name='t_tunit' id='t_tunit' hidden/>
					<input type='text' name='t_total' id='t_total' hidden/>
					<td>No.Faktur : <input type='text' name='t_kode' id='t_kode' size='13' class='input_header' readonly/></td>
					<td>Tanggal : <input type='date' name='t_tanggal' id='t_tanggal' size='10' class='input_header' readonly/></td>
					<td>SPBE : <input type='text' name='t_kodesp' id='t_kodesp' size='4' class='input_header' readonly/> <input type='text' name='t_namasp' id='t_namasp' size='25' class='input_header' readonly/></td>
					<td>Pengemudi : <input type='text' id='t_namadv' size='20' class='input_header'></td>
					<td>Nomor Polisi : <input type='text' id='t_nopol' size='12' class='input_header'></td>
				</tr>
			</table>
			<table width='100%'>
				<tr>
				    <td align='center'>
				        <button name='batal_pj' id='batal_pj'>Batal</button>
						<button name='tutup_detail' id='tutup_detail'>Tutup detail</button>
				    </td>
				</tr>
			</table>
		</div>
		
		<div id='tampil_detail' align='center' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>
	</div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>